# Generated by Django 3.2.2 on 2021-05-28 13:04

from django.db import migrations, models

def add_settings(apps, scheme_editor):

    CompanyModel = apps.get_model('operators', 'CompanyModel')
    CommunicationsSettingsModel = apps.get_model('operators', 'CommunicationsSettingsModel')

    settings = CommunicationsSettingsModel.objects.create(
        company=CompanyModel.objects.get(pk=1),
        token="FB2Pc3u5p3PIng9iSxQpsqupb",
        kind=0,
        extra_data={"whatsapp_channel": "618703f211ed4698b74897c106a7326c", "namespace": "d732392d_4463_419b_8663_9736df56b8cc"},
        email_sender="contacto@bandaancha.cl"
    )

def remove_settings(apps, scheme_editor):

    CompanyModel = apps.get_model('operators', 'CompanyModel')
    CommunicationsSettingsModel = apps.get_model('operators', 'CommunicationsSettingsModel')

    multifiber = CompanyModel.objects.get(pk=1)

    settings = CommunicationsSettingsModel.objects.get(company=multifiber)
    settings.delete()

class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0008_alter_communicationssettingsmodel_phone_sender'),
    ]

    operations = [
        migrations.RunPython(add_settings, remove_settings)
    ]
